Index: cpukit/headers.am
===================================================================
--- cpukit/headers.am	(revision b7af3e449a513c6f4b5623ddeb35b8d61399f8f5)
+++ cpukit/headers.am	(revision e1b7c18839a633162d0bcfbfb2e97a5eda49d14d)
@@ -279,4 +279,5 @@
 include_rtems_rtems_HEADERS += include/rtems/rtems/tasksimpl.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/timer.h
+include_rtems_rtems_HEADERS += include/rtems/rtems/timerdata.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/timerimpl.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/types.h
Index: cpukit/include/rtems/confdefs.h
===================================================================
--- cpukit/include/rtems/confdefs.h	(revision b7af3e449a513c6f4b5623ddeb35b8d61399f8f5)
+++ cpukit/include/rtems/confdefs.h	(revision e1b7c18839a633162d0bcfbfb2e97a5eda49d14d)
@@ -41,4 +41,5 @@
 #include <rtems/rtems/semdata.h>
 #include <rtems/rtems/tasksdata.h>
+#include <rtems/rtems/timerdata.h>
 #include <rtems/posix/key.h>
 #include <rtems/posix/mqueue.h>
Index: cpukit/include/rtems/rtems/timer.h
===================================================================
--- cpukit/include/rtems/rtems/timer.h	(revision b7af3e449a513c6f4b5623ddeb35b8d61399f8f5)
+++ cpukit/include/rtems/rtems/timer.h	(revision e1b7c18839a633162d0bcfbfb2e97a5eda49d14d)
@@ -1,29 +1,8 @@
 /**
- * @file rtems/rtems/timer.h
- *
- * @defgroup ClassicTimer Timers
- *
- * @ingroup ClassicRTEMS
- * @brief Instantiate RTEMS Timer Data
- *
- * This include file contains all the constants, structures, and
- * prototypes associated with the Timer Manager. This manager provides
- * facilities to configure, initiate, cancel, and delete timers which will
- * fire at specified intervals of time.
- *
- * Directives provided are:
- *
- * - create a timer
- * - get an ID of a timer
- * - delete a timer
- * - set timer to fire in context of clock tick
- * - after a number of ticks have passed
- * - when a specified date and time has been reached
- * - initiate the timer server task
- * - set timer to fire in context of the timer server task
- * - after a number of ticks have passed
- * - when a specified date and time has been reached
- * - reset a timer
- * - cancel a time
+ * @file
+ *
+ * @ingroup ClassicTimer
+ *
+ * @brief Classic Timer Manager API
  */
 
@@ -124,27 +103,4 @@
                  void *
              );
-
-/**
- *  The following records define the control block used to manage
- *  each timer.
- */
-typedef struct {
-  /** This field is the object management portion of a Timer instance. */
-  Objects_Control  Object;
-  /** This field is the Watchdog instance which will be the scheduled. */
-  Watchdog_Control Ticker;
-  /** This field indicates what type of timer this currently is. */
-  Timer_Classes    the_class;
-  /** This field is the timer service routine. */
-  rtems_timer_service_routine_entry routine;
-  /** This field is the timer service routine user data. */
-  void *user_data;
-  /** This field is the timer interval in ticks or seconds. */
-  Watchdog_Interval initial;
-  /** This field is the timer start time point in ticks. */
-  Watchdog_Interval start_time;
-  /** This field is the timer stop time point in ticks. */
-  Watchdog_Interval stop_time;
-}   Timer_Control;
 
 /**
Index: cpukit/include/rtems/rtems/timerdata.h
===================================================================
--- cpukit/include/rtems/rtems/timerdata.h	(revision e1b7c18839a633162d0bcfbfb2e97a5eda49d14d)
+++ cpukit/include/rtems/rtems/timerdata.h	(revision e1b7c18839a633162d0bcfbfb2e97a5eda49d14d)
@@ -0,0 +1,67 @@
+/**
+ * @file
+ *
+ * @ingroup ClassicTimerImpl
+ *
+ * @brief Classic Partition Manager Data Structures
+ */
+
+/*
+ * COPYRIGHT (c) 1989-2011.
+ * On-Line Applications Research Corporation (OAR).
+ *
+ * Copyright (c) 2009, 2016 embedded brains GmbH.
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_RTEMS_TIMERDATA_H
+#define _RTEMS_RTEMS_TIMERDATA_H
+
+#include <rtems/rtems/timer.h>
+#include <rtems/score/object.h>
+#include <rtems/score/watchdog.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ * @addtogroup ClassicTimerImpl
+ *
+ * @{
+ */
+
+/**
+ *  The following records define the control block used to manage
+ *  each timer.
+ */
+typedef struct {
+  /** This field is the object management portion of a Timer instance. */
+  Objects_Control  Object;
+  /** This field is the Watchdog instance which will be the scheduled. */
+  Watchdog_Control Ticker;
+  /** This field indicates what type of timer this currently is. */
+  Timer_Classes    the_class;
+  /** This field is the timer service routine. */
+  rtems_timer_service_routine_entry routine;
+  /** This field is the timer service routine user data. */
+  void *user_data;
+  /** This field is the timer interval in ticks or seconds. */
+  Watchdog_Interval initial;
+  /** This field is the timer start time point in ticks. */
+  Watchdog_Interval start_time;
+  /** This field is the timer stop time point in ticks. */
+  Watchdog_Interval stop_time;
+}   Timer_Control;
+
+/** @} */
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/include/rtems/rtems/timerimpl.h
===================================================================
--- cpukit/include/rtems/rtems/timerimpl.h	(revision b7af3e449a513c6f4b5623ddeb35b8d61399f8f5)
+++ cpukit/include/rtems/rtems/timerimpl.h	(revision e1b7c18839a633162d0bcfbfb2e97a5eda49d14d)
@@ -21,5 +21,5 @@
 #define _RTEMS_RTEMS_TIMER_INL
 
-#include <rtems/rtems/timer.h>
+#include <rtems/rtems/timerdata.h>
 #include <rtems/score/objectimpl.h>
 #include <rtems/score/thread.h>
